---
nameOverride: ""
fullnameOverride: ""

replicaCount: 1

image:
  repository: registry.gitlab.com/commonground/huishoudboekje/app-new/banktransactieservice
  pullPolicy: ""
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

init1:
  image:
    repository: busybox
    pullPolicy: ""
    tag: latest
init2:
  image:
    repository: bitnami/postgresql
    pullPolicy: ""
    tag: 13

podSecurityContext: {}

securityContext:
  capabilities:
    drop:
      - ALL
  readOnlyRootFilesystem: true
  runAsNonRoot: true
  allowPrivilegeEscalation: false

service:
  type: ClusterIP
  port: 80

resources:
  limits:
    cpu: 300m
    memory: 256Mi
  requests:
    cpu: 100m
    memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 4
  targetCPUUtilizationPercentage: 80
  targetMemoryUtilizationPercentage: 80

cronJobs:
  generatePaymentInstructions:
    image:
      repository: registry.gitlab.com/commonground/huishoudboekje/app-new/rabbitmq-message-publisher
      pullPolicy: ""
      tag: ""
    enabled: true
    schedule: "0 4 * * *" # Every night at 04:00.
    startingDeadlineSeconds: 3600
    failedJobsHistoryLimit: 3
    successfulJobsHistoryLimit: 1

existingSecrets:
  database:
    # Secret name
    name: ""
    # Item in secret container DB host.
    host: ""
    # Item in secret containing DB port.
    port: ""
    # Item in secret containing DB name.
    dbName: ""
    # Item in secret containing DB username.
    username: ""
    # Item in secret containing DB password.
    password: ""

database:
  host: ""
  port: ""
  dbName: banktransactieservice
  username: banktransactieservice
  password: banktransactieservice

log_level: ""

extraEnvVars: []
